SimpleTransactionStatus (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.transaction.support

## Class SimpleTransactionStatus

- java.lang.Object
- - org.springframework.transaction.support.AbstractTransactionStatus
  - - org.springframework.transaction.support.SimpleTransactionStatus

- All Implemented Interfaces:
    SavepointManager, TransactionStatus

      public class SimpleTransactionStatus
      extends AbstractTransactionStatus

  A simple `TransactionStatus` implementation.

  Derives from `AbstractTransactionStatus` and adds an explicit `"newTransaction"` flag.

  This class is not used by any of Spring's pre-built `PlatformTransactionManager` implementations. It is mainly provided as a start for custom transaction manager implementations and as a static mock for testing transactional code (either as part of a mock `PlatformTransactionManager` or as argument passed into a `TransactionCallback` to be tested).

  Since:
    1.2.3
  Author:
    Juergen Hoeller
  See Also:
    `SimpleTransactionStatus(boolean)`, `TransactionCallback`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTransactionStatus()` Create a new instance of the `SimpleTransactionStatus` class, indicating a new transaction.
    `SimpleTransactionStatus(boolean newTransaction)` Create a new instance of the `SimpleTransactionStatus` class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isNewTransaction()` Return whether the present transaction is new (else participating in an existing transaction, or potentially not running in an actual transaction in the first place).

    - ### Methods inherited from class org.springframework.transaction.support.AbstractTransactionStatus

      `createAndHoldSavepoint, createSavepoint, flush, getSavepoint, getSavepointManager, hasSavepoint, isCompleted, isGlobalRollbackOnly, isLocalRollbackOnly, isRollbackOnly, releaseHeldSavepoint, releaseSavepoint, rollbackToHeldSavepoint, rollbackToSavepoint, setCompleted, setRollbackOnly, setSavepoint`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTransactionStatus

          public SimpleTransactionStatus()

      Create a new instance of the `SimpleTransactionStatus` class, indicating a new transaction.

    - #### SimpleTransactionStatus

          public SimpleTransactionStatus(boolean newTransaction)

      Create a new instance of the `SimpleTransactionStatus` class.
      Parameters:
        `newTransaction` - whether to indicate a new transaction

  - ### Method Detail

    - #### isNewTransaction

          public boolean isNewTransaction()

      Description copied from interface: `TransactionStatus`
      Return whether the present transaction is new (else participating in an existing transaction, or potentially not running in an actual transaction in the first place).